# UniTAP.dev.modules.dut_tests.dut_default_params.dp1_4_source_tests

class Dp14SourceDUTTestParam:

Class `Dp14SourceDUTTestParam` allows working with default group of parameters for DP 1.4 LLCTS tests:

- Set and get `GeneralSourceDUTDp14SettingTab`. Allows working with parameters from General source part `general`.
- Set and get `AudioSourceDp14SettingTab`. Allows working with parameters from Audio source part `audio`.
- Set and get `DscConfigDp14Tab`. Allows working with parameters from DSC part `dsc`.
- Set and get `DisplayIdDp14ConfigTab`. Allows working with parameters from Display ID part `display_id`.
- Set and get `AdaptiveSyncDp14ConfigTab`. Allows working with parameters from Adaptive-Sync part `adaptive_sync`.

Dp14SourceDUTTestParam(json_obj)
general: UniTAP.dev.modules.dut_tests.dut_default_params.dp_1_4_source_general_tab.GeneralSourceDUTDp14SettingTab

Get object of parameters from General source part.

###### Returns:

> object of `GeneralSourceDUTDp14SettingTab` type

audio: UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_audio_tab.AudioSourceDp14SettingTab

Get object of parameters from Audio source part.

###### Returns:

> object of `AudioSourceDp14SettingTab` type

dsc: UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_dsc_tab.DscConfigDp14Tab

Get object of parameters from DSC source part.

###### Returns:

> object of `DscConfigDp14Tab` type

display_id: UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_display_id_tab.DisplayIdDp14ConfigTab

Get object of parameters from Display ID source part.

###### Returns:

> object of `DisplayIdDp14ConfigTab` type

adaptive_sync: UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_adaptive_sync_tab.AdaptiveSyncDp14ConfigTab

Get object of parameters from Adaptive-Sync source part.

###### Returns:

> object of `AdaptiveSyncDp14ConfigTab` type